Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/DistanceBase.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/DistanceBase.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/DistanceBase.cs	(revision 15018)
@@ -32,5 +32,5 @@
     #region HLConstructors & Boilerplate
     [StorableConstructor]
-    protected DistanceBase(bool deserializing) : base(deserializing) { }
+    protected DistanceBase(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected DistanceBase(DistanceBase<T> original, Cloner cloner) : base(original, cloner) { }
     protected DistanceBase() { }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/EuclideanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/EuclideanDistance.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/EuclideanDistance.cs	(revision 15018)
@@ -34,5 +34,5 @@
     #region HLConstructors & Boilerplate
     [StorableConstructor]
-    protected EuclideanDistance(bool deserializing) : base(deserializing) { }
+    protected EuclideanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected EuclideanDistance(EuclideanDistance original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) { return new EuclideanDistance(this, cloner); }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/IndexedItemDistance.cs	(revision 15018)
@@ -34,5 +34,5 @@
     #region HLConstructors & Cloning
     [StorableConstructor]
-    protected IndexedItemDistance(bool deserializing) : base(deserializing) { }
+    protected IndexedItemDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected IndexedItemDistance(IndexedItemDistance<T> original, Cloner cloner) : base(original, cloner) {
       dist = cloner.Clone(original.dist);
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/InnerProductDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/InnerProductDistance.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/InnerProductDistance.cs	(revision 15018)
@@ -39,5 +39,5 @@
     #region HLConstructors
     [StorableConstructor]
-    protected InnerProductDistance(bool deserializing) : base(deserializing) { }
+    protected InnerProductDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected InnerProductDistance(InnerProductDistance original, Cloner cloner)
       : base(original, cloner) { }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/ManhattanDistance.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/ManhattanDistance.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/TSNE/Distances/ManhattanDistance.cs	(revision 15018)
@@ -34,5 +34,5 @@
     #region HLConstructors & Boilerplate
     [StorableConstructor]
-    protected ManhattanDistance(bool deserializing) : base(deserializing) { }
+    protected ManhattanDistance(StorableConstructorFlag deserializing) : base(deserializing) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() { }
